{{ define "main" }}

{{ partial "page-header.html" . }}

<div id="wrapper" class="relative w-full flex justify-between mx-auto" data-kind="{{ .Kind }}">

  {{ if and (or (in .RawContent "##") (in .RawContent "###")) (gt .WordCount 240 ) }}
  <aside class="flex-shrink-0 lg:order-last hidden xl:block xl:h-auto border-b lg:static pt-20 lg:pt-0 text-sm px-8 mt-8 md:mt-0 w-96 print:hidden" x-data="{ isExpanded: window.innerWidth >= 1280 }">
    {{ partial "toc.html" . }}
  </aside>
  {{ end }}
  
  <main id="main" role="main" class="w-full lg:max-w-4xl flex-auto min-h-screen lg:static lg:max-h-full lg:overflow-visible px-4 sm:px-6 xl:px-8">

    {{- partialCached "search-results" . -}}
    
    <section class="w-full pb-12 {{ if .Params.icon | and .Params.header }}pt-0 -mt-8{{ else }}pt-12{{ end }} print:mt-4">
      
      <header class="pb-4 print:pb-3 border-b">
        {{ with .Params.icon }}
        <span class="icon | inline-block select-none text-6xl mb-8 print:float-left print:mt-2 print:mb-0 print:mr-6 print:text-3xl" aria-hidden="true">{{ . }}</span>
        {{ end }}
        <h1 class="text-gray-900 mb-2">{{ .Title }}</h1>
        {{ with .Params.subtitle }}
        <h2 class="text-lg text-gray-600 pb-6 print:clear-left">{{ . }}</h2>
        {{ end }}
      </header>

      {{ if and (or (in .RawContent "##") (in .RawContent "###")) (gt .WordCount 240 ) }}
      <aside class="xl:hidden border-b text-sm" x-data="{ isExpanded: false }">
        {{ partial "toc.html" . }}
      </aside>
      {{ end }}

      <div class="py-8 print:py-4 prose lg:prose-lg print:prose">
      {{ .Content }}
      </div>

    </section>
  </main>

</div>
{{ end }}